#!/usr/bin/env python3

# Cagou: desktop/mobile frontend for Salut à Toi XMPP client
# Copyright (C) 2016-2021 Jérôme Poisson (goffi@goffi.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import kivy
from sat.core import log as logging


log = logging.getLogger(__name__)


def do_backport():
    version = tuple(kivy.parse_kivy_version(kivy.__version__)[0])
    if version < (2, 0, 0):
        log.info("installing backport for Carousel")
        import sys
        from kivy.uix import carousel  # NOQA
        from . import carousel as carousel_backport
        sys.modules['kivy.uix.carousel'] = carousel_backport
    else:
        log.info("Kivy >= 2.0.0 is used, Carousel backport is not needed anymore")
